Subject: bug#8189: 24.0.50; indenting region with TAB deactivates region

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Jul 2021 17:00:10 +0200

Stefan Monnier <[email-masked]> writes:

>> This bug report is about deactivating the region.  I don't know if it's
>> easy to fix this but it would be nice if it would be possible to indent
>> the region several times by simply hitting TAB several times.
>
> The command usually bound to TAB is really meant for programming
> languages, where it indents to "The Correct Indentation", so repeating
> it makes no sense.

And besides this -- in buffers where it does make sense, it's easy
enough to reactivate the region (with `C-x C-x C-x C-x' or the like) and
then TAB again.

So I don't think it's worth it to establish more functionality for
TAB/region things, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no